<?xml version="1.0"?>
<job id="10" owner="bgoncalv@redhat.com" result="Pass" status="Completed" retention_tag="120days">
  <whiteboard>Test case for the fake system provision task.</whiteboard>
  <recipeSet priority="Normal" response="ack" id="20">
    <recipe id="30" job_id="10" recipe_set_id="20" whiteboard="Everything OK" role="None" start_time="2024-07-08 01:06:49" finish_time="2024-07-08 01:35:04" duration="0:28:15" result="Pass" status="Completed" distro="RHEL-9.5.0-updates-20240704.1" arch="x86_64" family="RedHatEnterpriseLinux9" variant="BaseOS" system="sut-a.example.com">
      <autopick random="false"/>
      <watchdog panic="None"/>
      <installation install_started="2024-07-08 01:13:32" install_finished="2024-07-08 01:17:48" postinstall_finished="2024-07-08 01:18:34"/>
      <packages/>
      <ks_appends/>
      <roles>
        <role value="None">
          <system value="sut-a.example.com"/>
        </role>
      </roles>
      <repos/>
      <distroRequires>
        <and>
          <distro_arch op="=" value="x86_64"/>
          <distro_family op="=" value="RedHatEnterpriseLinux9"/>
          <distro_name op="like" value="RHEL-9.5.0-%"/>
          <distro_tag op="=" value="CTS_NIGHTLY"/>
          <distro_variant op="=" value="BaseOS"/>
        </and>
      </distroRequires>
      <hostRequires>
        <and>
          <system_type op="=" value="Machine"/>
          <hypervisor op="=" value=""/>
        </and>
      </hostRequires>
      <partitions/>
      <logs>
        <log href="https://server.example.com/recipes/30/logs/console.log" name="console.log"/>
        <log href="https://server.example.com/recipes/30/logs/systemd_journal.log" name="systemd_journal.log"/>
        <log href="https://server.example.com/recipes/30/logs/anaconda.log" name="anaconda.log"/>
        <log href="https://server.example.com/recipes/30/logs/sys.log" name="sys.log"/>
        <log href="https://server.example.com/recipes/30/logs/lvm.log" name="lvm.log"/>
      </logs>
      <task name="distribution/check-install" role="STANDALONE" id="40" result="Pass" status="Completed" start_time="2024-07-08 01:22:12" finish_time="2024-07-08 01:22:15" duration="0:00:03">
        <fetch url="https://gitab.com/tests/archive/master.zip#check-install"/>
        <roles>
          <role value="STANDALONE">
            <system value="sut-a.example.com"/>
          </role>
        </roles>
        <logs>
          <log href="https://server.example.com/recipes/30/tasks/40/logs/taskout.log" name="taskout.log"/>
          <log href="https://server.example.com/recipes/30/tasks/40/logs/harness.log" name="harness.log"/>
        </logs>
        <results>
          <result path="/distribution/check-install" start_time="2024-07-08 01:22:14" score="452" result="Pass" id="50">None
            <logs><log href="https://server.example.com/recipes/30/tasks/40/results/50/logs/dmesg.log" name="dmesg.log"/><log href="https://server.example.com/recipes/30/tasks/40/results/50/logs/avc.log" name="avc.log"/></logs>
          </result>
          <result path="/distribution/check-install/Sysinfo" start_time="2024-07-08 01:22:14" score="None" result="Pass" id="51">None
            <logs><log href="https://server.example.com/recipes/30/tasks/40/results/51/logs/avc.log" name="avc.log"/></logs>
          </result>
        </results>
      </task>
      <task name="some_test" role="STANDALONE" id="41" result="Pass" status="Completed" start_time="2024-07-08 01:22:15" finish_time="2024-07-08 01:22:20" duration="0:00:05">
        <fetch url="https://gitab.com/tests/archive/master.zip#some_test"/>
        <roles>
          <role value="STANDALONE">
            <system value="sut-a.example.com"/>
          </role>
        </roles>
        <logs>
          <log href="https://server.example.com/recipes/30/tasks/41/logs/taskout.log" name="taskout.log"/>
          <log href="https://server.example.com/recipes/30/tasks/41/logs/harness.log" name="harness.log"/>
        </logs>
        <results>
          <result path="/distribution/command" start_time="2024-07-08 01:22:19" score="0" result="Pass" id="52">None
            <logs><log href="https://server.example.com/recipes/30/tasks/41/results/52/logs/avc.log" name="avc.log"/><log href="https://server.example.com/recipes/30/tasks/41/results/52/logs/resultoutputfile.log" name="resultoutputfile.log"/></logs>
          </result>
        </results>
      </task>
    </recipe>
  </recipeSet>
  <recipeSet priority="Normal" response="ack" id="21">
    <recipe id="31" job_id="100" recipe_set_id="21" whiteboard="Cancelled before running" role="None" result="Warn" status="Cancelled" distro="RHEL-10.0-20240702.33" arch="ppc64le" family="RedHatEnterpriseLinux10" variant="BaseOS">
      <autopick random="false"/>
      <watchdog panic="ignore"/>
      <installation/>
      <packages/>
      <ks_appends/>
      <roles>
        <role value="None"/>
      </roles>
      <repos/>
      <distroRequires>
        <and>
          <distro_name op="=" value="RHEL-10.0-20240702.33"/>
          <distro_variant op="=" value="BaseOS"/>
          <distro_arch op="=" value="ppc64le"/>
        </and>
      </distroRequires>
      <hostRequires>
        <system_type value="Machine"/>
      </hostRequires>
      <partitions/>
      <logs/>
      <task name="/distribution/check-install" role="None" id="53" result="Warn" status="Cancelled" avg_time="600">
        <fetch url="https://gitab.com/tests/archive/master.zip#check-install"/>
        <roles>
          <role value="None"/>
        </roles>
        <logs/>
        <results>
          <result path="/" start_time="2024-07-03 12:34:22" score="0" result="Warn" id="839509938"/>
        </results>
      </task>
      <task name="some_test" role="None" id="54" result="Warn" status="Cancelled">
        <fetch url="https://gitlab.com/redhat/centos-stream/tests/kernel/kernel-tests/-/archive/main/kernel-tests-main.tar.gz#some_test"/>
        <roles>
          <role value="None"/>
        </roles>
        <logs/>
        <results>
          <result path="/" start_time="2024-07-03 12:34:22" score="0" result="Warn" id="839509939"/>
        </results>
      </task>
    </recipe>
  </recipeSet>
  <recipeSet priority="Normal" response="ack" id="22">
    <recipe id="32" job_id="10" recipe_set_id="22" whiteboard="Installation failed" role="None" start_time="2024-07-11 13:53:21" finish_time="2024-07-11 14:06:23" duration="0:13:02" result="Warn" status="Aborted" distro="CentOS-Stream-9-20240710.0" arch="aarch64" family="CentOSStream9" variant="BaseOS" system="sut-b.example.com">
      <autopick random="false"/>
      <watchdog/>
      <installation install_started="2024-07-11 14:00:43"/>
      <packages/>
      <ks_appends/>
      <roles>
        <role value="None"/>
      </roles>
      <repos/>
      <distroRequires>
        <distro_arch op="=" value="aarch64"/>
        <variant op="=" value="BaseOS"/>
        <distro_family op="=" value="CentOSStream9"/>
      </distroRequires>
      <hostRequires>
        <arch op="=" value="aarch64"/>
        <system_type value="Machine"/>
      </hostRequires>
      <partitions/>
      <logs>
        <log href="https://server.example.com/recipes/32/logs/console.log" name="console.log"/>
        <log href="https://server.example.com/recipes/32/logs/systemd_journal.log" name="systemd_journal.log"/>
        <log href="https://server.example.com/recipes/32/logs/anaconda.log" name="anaconda.log"/>
        <log href="https://server.example.com/recipes/32/logs/sys.log" name="sys.log"/>
        <log href="https://server.example.com/recipes/32/logs/lvm.log" name="lvm.log"/>
      </logs>
      <task name="/distribution/reservesys" role="None" id="53" result="Warn" status="Aborted">
        <fetch url="https://gitab.com/tests/archive/master.tar.gz#reservesys"/>
        <roles>
          <role value="None">
            <system value="sut-b.example.com"/>
          </role>
        </roles>
        <logs/>
        <results>
          <result path="/" start_time="2024-07-11 14:06:06" score="0" result="Warn" id="841075798">Installation failed</result>
        </results>
      </task>
    </recipe>
  </recipeSet>
  <recipeSet priority="Normal" response="ack" id="23">
    <recipe id="33" job_id="10" recipe_set_id="23" whiteboard="All tasks missed" role="None" kernel_options="" start_time="2024-07-11 02:47:33" finish_time="2024-07-11 05:57:07" duration="3:09:34" result="Warn" status="Aborted" distro="CentOS-Stream-9-20240710.0" arch="x86_64" family="CentOSStream9" variant="BaseOS" system="sut-c.example.com">
      <autopick random="false"/>
      <watchdog panic="None"/>
      <installation install_started="2024-07-11 02:56:41" install_finished="2024-07-11 03:00:31" postinstall_finished="2024-07-11 03:01:29"/>
      <packages/>
      <ks_appends/>
      <roles>
        <role value="None">
          <system value="sut-c.example.com"/>
        </role>
      </roles>
      <repos/>
      <distroRequires>
        <distro_arch op="=" value="x86_64"/>
        <variant op="=" value="BaseOS"/>
        <distro_family op="=" value="CentOSStream9"/>
      </distroRequires>
      <hostRequires>
        <arch op="=" value="x86_64"/>
        <system_type value="Machine"/>
      </hostRequires>
      <partitions/>
      <logs>
        <log href="https://server.example.com/recipes/33/logs/console.log" name="console.log"/>
        <log href="https://server.example.com/recipes/33/logs/systemd_journal.log" name="systemd_journal.log"/>
        <log href="https://server.example.com/recipes/33/logs/anaconda.log" name="anaconda.log"/>
        <log href="https://server.example.com/recipes/33/logs/sys.log" name="sys.log"/>
        <log href="https://server.example.com/recipes/33/logs/lvm.log" name="lvm.log"/>
      </logs>
      <task name="/distribution/reservesys" role="None" id="49" result="Warn" status="Aborted">
        <fetch url="https://gitab.com/tests/archive/master.tar.gz#reservesys"/>
        <roles>
          <role value="None">
            <system value="sut-c.example.com"/>
          </role>
        </roles>
        <logs/>
        <results>
          <result path="/" start_time="2024-07-11 05:56:54" score="0" result="Warn" id="54">External Watchdog Expired</result>
        </results>
      </task>
    </recipe>
  </recipeSet>
</job>
